/****************************************************************************
**
** DCOP Stub Definition created by dcopidl2cpp from basketdcopiface.kidl
**
** WARNING! All changes made in this file will be lost!
**
*****************************************************************************/

#ifndef __BASKETDCOPIFACE_STUB__
#define __BASKETDCOPIFACE_STUB__

#include <dcopstub.h>
#include <dcopobject.h>


class BasketDcopInterface_stub : virtual public DCOPStub
{
public:
    BasketDcopInterface_stub( const TQCString& app, const TQCString& id );
    BasketDcopInterface_stub( DCOPClient* client, const TQCString& app, const TQCString& id );
    explicit BasketDcopInterface_stub( const DCOPRef& ref );
    virtual ASYNC newBasket();
    virtual void handleCommandLine();
protected:
    BasketDcopInterface_stub() : DCOPStub( never_use ) {}
};


#endif
